Package org.eclipse.birt.report.model.api.validators

# Class DataSetNameRequiredValidatorImpl

java.lang.Object
org.eclipse.birt.report.model.validators.AbstractSemanticValidator
org.eclipse.birt.report.model.validators.AbstractElementValidator
org.eclipse.birt.report.model.api.validators.DataSetNameRequiredValidatorImpl

Direct Known Subclasses:
  `DataSetNameRequiredValidator`

public class DataSetNameRequiredValidatorImpl extends org.eclipse.birt.report.model.validators.AbstractElementValidator
Validates the data set name of scalar parameter is required.

### Rule

The rule is that DATASET_NAME_PROP is required when LABEL_EXPR_PROP or VALUE_EXPR_PROP is provided.

### Applicability

This validator is only applied to `ScalarParameter`.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`modules, name`

## Constructor Summary

Constructors
Constructor
Description
`DataSetNameRequiredValidatorImpl()`

## Method Summary

Modifier and Type
Method
Description
`static DataSetNameRequiredValidatorImpl`
`getInstance()`
Returns the singleton validator instance.
`List`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Validates the given element which is in report.

### Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataSetNameRequiredValidatorImpl

public DataSetNameRequiredValidatorImpl()

## Method Details

### getInstance

public static DataSetNameRequiredValidatorImpl getInstance()
Returns the singleton validator instance.

Returns:
  the validator instance

### validate

public List validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Description copied from class: `org.eclipse.birt.report.model.validators.AbstractElementValidator`
Validates the given element which is in report.

Specified by:
  `validate` in class `org.eclipse.birt.report.model.validators.AbstractElementValidator`
Parameters:
  `module` - the module
  `element` - the given element to validate
Returns:
  error list, each of which is the instance of `SemanticException`.